$(function () {
  $("img").lazyload();
  const globaldata = {
    active: 0,
  }
  let params = lxd.parseUrl(window.location.href).query,
    my_nav = $(".my-nav"), my_nav_lis = my_nav.find("li");
  params["id"] >= my_nav_lis.length || !params["id"] ? params["id"] = 0 : params["id"];
  my_nav_lis.removeClass("active");
  $(my_nav_lis[params["id"]]).addClass("active");
  my_nav.click(function (e) {
    if (e.target.className == "my-nav") return false;
    let active = Array.prototype.slice.call($(this).find("li")).indexOf(e.target);
    if (active == globaldata.active) return false;
    globaldata.active = active;
    $(this).find(".active").removeClass("active");
    $(e.target).addClass("active");
    $(".ke>.active").removeClass("active");
    $($(".ke>.my-list")[active]).addClass("active");
  })

  // 加载数据
  // 显示区高度
  let ch = document.documentElement.clientHeight || document.body.clientHeight;
  let lock = false;
  $(window).scroll(function () {
    if (lock) return false;
    // 滑动区高度
    let sh = document.documentElement.scrollHeight || document.body.scrollHeight;
    // 滑动位置
    let st = document.documentElement.scrollTop || document.body.scrollTop;
    let c = sh * 1 - ch * 1 - st * 1;
    if (c == 0) {
      lock = true;
      $(".my-loading").show();
      data().then(res => { lock = res; $(".my-loading").hide(); })
    }
  })
  // 加载数据
  function data () {
    let str = `<a target="_blank" href="https://www.baidu.com" class="list-item">
     <div class="item-img">
       <img data-original="https://dss2.bdstatic.com/8_V1bjqh_Q23odCf/pacific/1975401466.png"
       src="../imgs/app.png"
         alt="">
     </div>
     <div class="item-detail">
       <div class="title">广东省警察学院：从未委托任何个人或机构进行招生宣传;广东省警察学院：从未委托任何个人或机构进行招生宣传</div>
       <div class="time">高考动态<span>2021-04-21</span></div>
     </div>
   </a>`
    return new Promise(resolve => {
      setTimeout(() => {
        // globaldata.active 请求不同数据
        $(".ke>.active").append(str);
        $("img").lazyload();
        resolve(false)
      }, 2000)
    })
  }
  // 小屏幕 点击背景关闭 弹窗
  $("#nav-sm").click(function () {
    $(".my-province div[data-province='true']").hide();
  })
})